<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__trigmux__in__enums" kind="group">
    <compoundname>group_trigmux_in_enums</compoundname>
    <title>Trigger Mutiplexer Inputs</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__trigmux__in__enums_1ga076b057cb15c04d7b20449249e488fcd" kind="enum" prot="public" static="no">
        <name>en_trig_input_pdma0_tr_t</name>
        <briefdescription>
<para><bold>en_trig_input_pdma0_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #0 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="43" bodyfile="mainpage/en_trigger_type.h" bodystart="43" column="1" file="mainpage/en_trigger_type.h" line="43" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga7b9a2e9eda044ba8cd52209130bff6ff" kind="enum" prot="public" static="no">
        <name>en_trig_input_pdma1_tr_t</name>
        <briefdescription>
<para><bold>en_trig_input_pdma1_tr_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #1 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="48" bodyfile="mainpage/en_trigger_type.h" bodystart="48" column="1" file="mainpage/en_trigger_type.h" line="48" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gabf8123d781309a7647c9f1257b2db1ae" kind="enum" prot="public" static="no">
        <name>en_trig_input_tcpwm0_t</name>
        <briefdescription>
<para><bold>en_trig_input_tcpwm0_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #2 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="53" bodyfile="mainpage/en_trigger_type.h" bodystart="53" column="1" file="mainpage/en_trigger_type.h" line="53" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga2bbc860297a9cc7991db9310803f0fd2" kind="enum" prot="public" static="no">
        <name>en_trig_input_tcpwm1_t</name>
        <briefdescription>
<para><bold>en_trig_input_tcpwm1_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #3 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="58" bodyfile="mainpage/en_trigger_type.h" bodystart="58" column="1" file="mainpage/en_trigger_type.h" line="58" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gac1e13ed93b66e791f6b9e99b8607a30d" kind="enum" prot="public" static="no">
        <name>en_trig_input_hsiom_t</name>
        <briefdescription>
<para><bold>en_trig_input_hsiom_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #4 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="63" bodyfile="mainpage/en_trigger_type.h" bodystart="63" column="1" file="mainpage/en_trigger_type.h" line="63" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga0c1e803e9915bd8968fdbeb703737fa8" kind="enum" prot="public" static="no">
        <name>en_trig_input_cpuss_cti_t</name>
        <briefdescription>
<para><bold>en_trig_input_cpuss_cti_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #5 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="68" bodyfile="mainpage/en_trigger_type.h" bodystart="68" column="1" file="mainpage/en_trigger_type.h" line="68" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gabad647cab89645447f6d218a15358325" kind="enum" prot="public" static="no">
        <name>en_trig_input_mdma_t</name>
        <briefdescription>
<para><bold>en_trig_input_mdma_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #6 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="73" bodyfile="mainpage/en_trigger_type.h" bodystart="73" column="1" file="mainpage/en_trigger_type.h" line="73" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1gaa3d74234542373120fef5e673dd518d8" kind="enum" prot="public" static="no">
        <name>en_trig_input_peri_freeze_t</name>
        <briefdescription>
<para><bold>en_trig_input_peri_freeze_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #7 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="78" bodyfile="mainpage/en_trigger_type.h" bodystart="78" column="1" file="mainpage/en_trigger_type.h" line="78" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga8778ee28afa6c40678d17f9ed71aa2c7" kind="enum" prot="public" static="no">
        <name>en_trig_input_csd_t</name>
        <briefdescription>
<para><bold>en_trig_input_csd_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #8 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="83" bodyfile="mainpage/en_trigger_type.h" bodystart="83" column="1" file="mainpage/en_trigger_type.h" line="83" />
      </memberdef>
      <memberdef id="group__group__trigmux__in__enums_1ga8d9138c707fcf2bf6b481deccccbb4b3" kind="enum" prot="public" static="no">
        <name>en_trig_input_sar_adc_start_t</name>
        <briefdescription>
<para><bold>en_trig_input_sar_adc_start_t: </bold><linebreak />For PERI_ver2: the enumerated type that represents a trigger multiplexer group #9 input signals, used by <ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref> and <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref> functions. Refer to a family-specific device header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_02_config.h.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="88" bodyfile="mainpage/en_trigger_type.h" bodystart="88" column="1" file="mainpage/en_trigger_type.h" line="88" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>